Package tigase.db.util

# Class SchemaLoader.TypeInfo

java.lang.Object
tigase.db.util.SchemaLoader.TypeInfo

All Implemented Interfaces:
  `Comparable<SchemaLoader.TypeInfo>`

Enclosing class:
  SchemaLoader<P extends SchemaLoader.Parameters>

public static class SchemaLoader.TypeInfo extends Object implements Comparable<SchemaLoader.TypeInfo>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TypeInfo(int ordinal, String name, String label, String driverClassName)`
  `TypeInfo(int ordinal, String name, String label, String driverClassName, String warning)`
  `TypeInfo(String name, String label, String driverClassName)`
  `TypeInfo(String name, String label, String driverClassName, String warning)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(SchemaLoader.TypeInfo o)`
  `protected String`
  `getDriverClassName()`
  `String`
  `getLabel()`
  `String`
  `getName()`
  `int`
  `getOrdinal()`
  `String`
  `getWarning()`
  `boolean`
  `isAvailable()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TypeInfo

    public TypeInfo(String name, String label, String driverClassName)

  - ### TypeInfo

    public TypeInfo(int ordinal, String name, String label, String driverClassName)

  - ### TypeInfo

    public TypeInfo(String name, String label, String driverClassName, String warning)

  - ### TypeInfo

    public TypeInfo(int ordinal, String name, String label, String driverClassName, String warning)

- ## Method Details

  - ### getOrdinal

    public int getOrdinal()

  - ### getName

    public String getName()

  - ### getLabel

    public String getLabel()

  - ### getWarning

    public String getWarning()

  - ### isAvailable

    public boolean isAvailable()

  - ### compareTo

    public int compareTo(SchemaLoader.TypeInfo o)
    Specified by:
      `compareTo` in interface `Comparable<SchemaLoader.TypeInfo>`

  - ### getDriverClassName

    protected String getDriverClassName()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`